Subject: Re: vxlan: use after free error

From: Jiri Benc <[email-masked]>
Date: Tue, 30 May 2017 13:47:55 +0200

On Mon, 29 May 2017 11:37:22 -0700, Roopa Prabhu wrote:
> This code is also hit via the OVS path, and i don't see a problem with
> your changes and analysis but i am not too familiar with the ovs call
> path. I see that the relevant developers are CC'ed.

I don't see a problem with ovs and this patch. Ovs calls
rtnl_delete_link.

I'd prefer to have the code in a vxlan_vs_del_dev function to be
symmetrical with vxlan_vs_add_dev similarly to what Roopa suggested. If
you keep me in CC while resending I'll be happy to add my ack to the
patch.

Thanks!

 Jiri